This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 491105 - When delete a email, the function of Undo/Redo does not work.
When delete a email, the function of Undo/Redo does not work.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 09:38 EDT by Yewei Shao
Modified: 2009-04-06 19:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 19:30:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yewei Shao 2009-03-19 09:38:44 EDT
Description of problem:
When delete a email, the function of Undo/Redo does not work.

Version-Release number of selected component (if applicable):
thunderbird-1.5.0.12-19.el4
platform:x86_64, ia64

How reproducible: everytime


Steps to Reproduce:
1. launch thunderbird
2. Select a message by click on it
3. go to Edit->Delete Message
4. go to Edit->Undo Delete Message
5. go to Edit->Redo Delete Message

  
Actual results:
After step 4, the deleted message will be moved back into previous folder.
after step 5, the message has been deleted into Trash again

Expected results:
The function of step 4 and 5 do not work.

Additional info:
Comment 1 Cao, Chen 2009-03-20 02:51:30 EDT
as I tried, the undo/redo failed only for imap folders, e.g. "Inbox".
and "undo/redo delete" work fine with local folders and pop folders.

addition info:
uname -r
2.6.18-128.1.1.el5

rpm -q thunderbird:
thunderbird-2.0.0.21-1.el5


(In reply to comment #0)
> Description of problem:
> When delete a email, the function of Undo/Redo does not work.
> 
> Version-Release number of selected component (if applicable):
> thunderbird-1.5.0.12-19.el4
> platform:x86_64, ia64
> 
> How reproducible: everytime
> 
> 
> Steps to Reproduce:
> 1. launch thunderbird
> 2. Select a message by click on it
> 3. go to Edit->Delete Message
> 4. go to Edit->Undo Delete Message
> 5. go to Edit->Redo Delete Message
> 
> 
> Actual results:
> After step 4, the deleted message will be moved back into previous folder.
> after step 5, the message has been deleted into Trash again
> 
> Expected results:
> The function of step 4 and 5 do not work.
> 
> Additional info:
Comment 2 Yewei Shao 2009-03-21 21:31:59 EDT
It is true that "undo/redo delete" works fine with local folders and pop folders but only fails for IMAP folders.
Comment 3 Matěj Cepl 2009-04-06 19:30:00 EDT
I don't think this will be fixed for RHEL4, which support covers now only security and major bugs.

Moreover, I suspect your GMail IMAP configuration is broken.

Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.